@mixin app-psychiatric-psychosocial-mhr-theme($theme) {
    $primary: map-get($theme, primary);
    $warn: map-get($theme, warn);
    $accent: map-get($theme, accent);
  
    app-psychiatric-psychosocial-mhr {
      width: 100%;
      padding: 5px;
      overflow-x: hidden;
    }

    div .parent-spinner {
      height: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
    }

    div .border-radius-5{
      border-radius: 5px !important;
    }
  
    .psychiatric-psychosocial-mhr {
      margin-top: 10px !important;
      display: flex;
      flex-direction: column;
      //flex-flow: column wrap;
      padding: 5px;
      background-color: mat-color($primary, 50);
      
      .psychiatric-psychosocial-mhr-main-card {      
        display: flex;
        flex-direction: column;
        margin: 1px !important;
        padding: 5px;
        background-color: mat-color($primary, 50);
  
        .mat-card-content {  

          .psychiatric-psychosocial-mhr-small-box {
            display: flex;
            align-items: center;
            justify-content: center;
            background: white;
            //width: auto;
  
            .psychiatric-psychosocial-mhr-container {
              display:flex;
              width: 100%;
              margin-right: 10px;
              margin-left: 10px;
              border-radius: 5px !important;
              form {
                padding-left: 10px;
                padding-right: 10px;
                padding-bottom: 20px;
                padding-top: 20px;
              }

            }

            textarea {
              resize: none;
              //height: 30px !important;
              width: 100% !important;
              padding-top: 1px !important;
              line-height: 15px !important;
            }
      
            .mat-form-field-subscript-wrapper {
              font-size: 100%;
              margin-top: 0em;
              top: calc(100% - 1.5em);
            }
    
            div {
              line-height: 30px;
            }

            // div .textarea-height-50
            // {
            //   line-height: 50px;
            // }
      
            div .line-height-5 {
              line-height: 5px;
            }

            div .line-height-10 {
              line-height: 10px;
            }

            div .line-height-20 {
              line-height: 20px;
            }

            div .radio-button-space
            {
              width: 75px !important;
              display: inline-block;
            }

            div .question-tool-tip-space
            {
              width: 34px !important;
              display: inline-block;
              text-align: right;
            }
      
            div .mat-form-field-infix {
              position: unset!important;
              padding-top: 3px !important;
              padding-bottom: 10px !important;
            }

            div .mat-form-field-wrapper {
              padding-bottom: 0.34375em !important;
            }

            div .border-radius-5{
              border-radius: 5px !important;
            }

            .mat-form-field-appearance-outline .mat-form-field-infix {
              padding: 1px 0 0.6em 0 !important;
            }

            .mat-icon{
              vertical-align: middle !important;
              padding:5px;
            }

            .mat-icon:hover{
              cursor: pointer;
              color: mat-color($warn);
            }
      
            // mat-icon{
            //     vertical-align: middle !important;
            // }
      
            mat-card{
              padding-left: 0px !important;
              padding-top: 1px !important;
              padding-right: 1px !important;
              padding-bottom: 5px !important;
            }

            .mat-tab-label {
              background: #BDBDBD;
              border-radius: 10px 10px 0px 0px;
              margin-right: 10px;
              height: 30px !important;
              padding: 10px;
                    font-size: 1.1em;
                    margin-top: 10px;
            }
            .mat-tab-label-active {
              opacity: 1 !important;
              background-color: mat-color($primary);
              color: white;
            }
            .mat-tab-label-content {
              padding: 0!important;
              width: 100%;
            }

            .mat-checkbox-layout {
              padding-right: 10px !important;
            }
      
            .psychiatric-psychosocial-mhr-container > * {
                width: 100%;
            } 
          }        
        }
      }

      .mat-form-field-subscript-wrapper {
          font-size: 100%;
          margin-top: 0em;
          top: calc(100% - 1.5em);
      }

      .content-main {
              display: flex;
              flex-flow: column wrap;
                    
                .content-sub 
                {
                  display: flex;
                  align-items: center;
                  
                    .mat-form-field-mr-20{
                        margin-right: 20px;
                        vertical-align: middle;
                    }

                    .mat-form-field-mr-10{
                      margin-right: 10px;
                      vertical-align: middle;
                    }

                    .content-sub-label {
                      order: 1;
                      width: 30%;
                      padding-right: 0.5em;
                    }

                    .content-sub-label-mentalStatus {
                      order: 1;
                      max-width : 15%; 
                      width: 14%;
                      min-width: 13%;
                      padding-right: 0.5em;
                      text-align: right;
                      vertical-align: middle;
                    }

                    .content-sub-label-psychiatric {
                      order: 1;
                      width: 30%;
                      padding-right: 0.5em;
                      text-align: right;
                    }

                    .content-sub-label1-verified {
                      order: 1;
                      width: 35%;
                      padding-right: 10px;
                      //align-content: flex-start;
                      justify-content: flex-end;
                      text-align: right;
                      color: red;
                      font-weight: normal;
                    }

                    .content-sub-label2-verified {
                      order: 1;
                      width: 15%;
                      padding-right: 10px;
                      //align-content: flex-start;
                      justify-content: flex-start;
                      text-align: left;
                      //margin-left: 20px !important;
                    }
          
                    .content-sub-label-history {
                      order: 1;
                      padding-right: 0.5em;
                    }
          
                    .content-sub-label-hint {
                      order: 1;
                      padding-right: 0.1em;
                      padding-top: 1px !important;
                      margin-top: 7px !important;
                    }

                    .content-sub-label-hint1 {
                      order: 1;
                      padding-right: 0.1em;
                      //padding-top: 1px !important;
                      margin-top: 7px !important;
                    }
                
                    .content-sub-field {
                      order: 2;
                      flex: 1 1 auto;
                      vertical-align: middle;
                    }

                    .content-sub-field-psychiatric {
                      order: 2;
                      flex: 1 1 auto;
                      display: flex;
                      flex-basis: 100%;
                      align-self: center;
                      margin-left : 20px !important;
                    }

                    .content-sub-col1 {
                      order: 1;
                      width: 35%;
                      //padding-right: 0.5em;
                      padding-right: 10px;
                      //align-content: flex-end;
                      justify-content: flex-end;
                      align-self: center;
                      text-align: right;
                      color: red;
                      font-weight: normal;
                      flex: 1 1 auto;
                      
                    }

                    .content-sub-col2 {
                      order: 2;
                      width: 15%;
                      //padding-left: 0.5em;
                      padding-left: 10px;
                      //align-content: flex-start;
                      justify-content: flex-start;
                      text-align: left;
                      flex: 1 1 auto;
                      
                    }

                    .content-sub-col3 {
                      order: 3;
                      width: 35%;
                      //padding-right: 0.5em;
                      padding-right: 10px;
                      align-self: center;
                      //align-content: flex-end;
                      justify-content: flex-end;
                      text-align: right;
                      color: red;
                      font-weight: normal;
                      flex: 1 1 auto;
                      
                    }

                    .content-sub-col4 {
                      order: 4;
                      width: 15%;
                      //padding-left: 0.5em;
                      padding-left: 10px;
                      //align-content: flex-start;
                      justify-content: flex-start;
                      text-align: left;
                      flex: 1 1 auto;
                      
                    }

                    .content-sub-button {
                      order: 2;
                      flex: 1 1 auto;
                      justify-content: flex-end;
                    }

                    .content-sub-button-parent-left {
                      display:inline-flex;
                      order: 1;
                      flex: 1 1 auto;
                      justify-content: flex-start;
                    }

                    .content-sub-button-parent-right {
                      order: 2;
                      flex: 1 1 auto;
                      justify-content: flex-end;
                      text-align: right;
                    }
          
                    .content-sub-middle {
                      font-weight: bold;
                      margin-bottom: 5px;
                    }
          
                    .diagnosis-sub-field {
                      order : 1;
                      width: 40%;
                    }
          
                    .diagnosis-sub-field1 {
                      order: 2;
                      width: 5%;
                    }

                    .content-report-spinner {
                      display: flex;
                      justify-content: center;
                      height: 20% !important; 
                      width: 100%;
                    }

                    .supporting-doc-col1 {
                      order: 1;
                      width: 45%;
                      padding-left: 10px;
                      justify-content: flex-start;
                      text-align: left;
                      flex: 1 1 auto;
                    }

                    .supporting-doc-col2 {
                      order: 2;
                      width: 7%;
                      padding-left: 10px;
                      justify-content: flex-start;
                      text-align: left;
                      flex: 1 1 auto;
                    }

                    .supporting-doc-col3 {
                      order: 3;
                      width: 48%;
                      padding-left: 10px;
                      justify-content: flex-start;
                      text-align: left;
                      flex: 1 1 auto;
                    }

                  }
              }
      
      .mat-form-field-appearance-outline .mat-form-field-infix {
        padding: 1px 0 0.6em 0 !important;
      }

      div .margin-padding-top-10{
        padding-top: 10px !important;
        margin-top : 10px !important;
      }

      .redLabelBoldText {
      text-align: left;
      color: red;
      font-weight: bold;
      font-size: medium;
      }

      .redLabelBoldLargeText {
        text-align: left;
        color: red;
        font-weight: bold;
        font-size: large;
        }

      .labelBoldText {
        text-align: left;
        font-weight: bold;
        font-size: large;
        }

      .redLabelText {
        text-align: left;
        color: red;
        font-weight: normal;
        }

      .consentBackGround {
        background-color: lemonchiffon;
      }

      .consent-margin-psychosocial{
        margin-left: 10px;
        margin-right: 10px;
        text-align: justify;
      }

      .consent-margin-psychiatric{
        margin-left: 10px;
        margin-right: 10px;
        margin-top: 12px;
        text-align: justify;
      }

      .margin-top-buttons{
        margin-top: 10px;
      }

      iframe {
        min-height: 600px !important;
      }

      ag-grid-angular{
        width : 100% !important;
      }

      .question-padding-left{
        padding-left: 34px !important;
      }

      .note-text-indent{
        padding-left: 34px;
        text-indent: -34px;
        line-height: 17px !important;
        padding-bottom: 5px;
      }



  }
}
